searchData={"items":[{"type":"module","title":"MishkaChelekom","doc":"","ref":"MishkaChelekom.html"},{"type":"task","title":"mix mishka.ui.gen.component","doc":"A Mix Task for generating and configuring Phoenix components\n\nThis script is used in the development environment and allows you to easily add all Mishka\ncomponents to the components directory in your Phoenix project.\n\nIt should be noted that you can create any component with limited arguments.\nFor example, put only a certain color in the button and do not put other codes in the component.\n\nFor this reason, the main goal is to build the component and its dependencies, and approval at every stage.\n\n> With this method, you no longer need to add anything you don't need to your project\n> and minimize dependencies and attacks on dependencies and project maintenance.","ref":"Mix.Tasks.Mishka.Ui.Gen.Component.html"},{"type":"task","title":"Example - mix mishka.ui.gen.component","doc":"```bash\nmix mishka.ui.gen.component component --example arg\n```","ref":"Mix.Tasks.Mishka.Ui.Gen.Component.html#module-example"},{"type":"task","title":"Options - mix mishka.ui.gen.component","doc":"* `--variant` or `-v` - Specifies component variant\n* `--color` or `-c` - Specifies component color\n* `--size` or `-s` - Specifies component size\n* `--padding` or `-p` - Specifies component padding\n* `--space` or `-sp` - Specifies component space\n* `--type` or `-t` - Specifies component type\n* `--rounded` or `-r` - Specifies component type\n* `--no-sub-config` - Creates dependent components with default settings\n* `--module` or `-m` - Specifies a custom name for the component module\n* `--sub` - Specifies this task is a sub task\n* `--no-deps` - Specifies this task is created without sub task\n* `--yes` - Makes directly without questions","ref":"Mix.Tasks.Mishka.Ui.Gen.Component.html#module-options"},{"type":"function","title":"Mix.Tasks.Mishka.Ui.Gen.Component.igniter/2","doc":"","ref":"Mix.Tasks.Mishka.Ui.Gen.Component.html#igniter/2"},{"type":"task","title":"mix mishka.ui.gen.components","doc":"A Mix Task for generating and configuring multi components of Phoenix\n\nA Mix Task for generating and configuring multi components of Phoenix\n\n> This task does not do any additional work compared to the `mix mishka.ui.gen.component` task,\n> it just creates all the components in one place. For this purpose, all components\n> are created with default arguments.","ref":"Mix.Tasks.Mishka.Ui.Gen.Components.html"},{"type":"task","title":"Example - mix mishka.ui.gen.components","doc":"```bash\nmix mishka.ui.gen.components component1, component1\n```","ref":"Mix.Tasks.Mishka.Ui.Gen.Components.html#module-example"},{"type":"task","title":"Options - mix mishka.ui.gen.components","doc":"* `--yes` - Makes directly without questions","ref":"Mix.Tasks.Mishka.Ui.Gen.Components.html#module-options"},{"type":"function","title":"Mix.Tasks.Mishka.Ui.Gen.Components.igniter/2","doc":"","ref":"Mix.Tasks.Mishka.Ui.Gen.Components.html#igniter/2"},{"type":"extras","title":"MishkaChelekom","doc":"# MishkaChelekom\n\nMishka Chelekom is a library offering various templates for components in **Phoenix** and **Phoenix LiveView** - [Phoenix UI kit and components](https://mishka.tools/chelekom).\n\nThis means you can generate any component listed in this project using a `CLI` command with customizable options.\n\n> For example, you can create a component with an `info` color and a \"shadow\" variant without having any unnecessary code clutter.\n\n![Screenshot 2024-10-05 at 01 53 03](https://github.com/user-attachments/assets/16860771-e9e8-43f5-8441-d16ad8793ae6)\n\nIf you want to add another variant in the future, the project is powered by the [**Igniter**](https://github.com/ash-project/igniter) library, which makes it easy to update the previous code seamlessly.\n\nYou will only use this library in your `development` environment, and it will not have any presence in production.","ref":"readme.html"},{"type":"extras","title":"Installation - MishkaChelekom","doc":"```elixir\ndef deps do\n  [\n    {:mishka_chelekom, \"~> 0.0.1\", only: :dev}\n  ]\nend\n```\n\nGenerate all components inside the `components` directory of your Phoenix project.","ref":"readme.html#installation"},{"type":"extras","title":"Creating a Component (Example: Creating an Alert) - MishkaChelekom","doc":"```bash\nmix mishka.ui.gen.component alert --color info --variant default\nmix mishka.ui.gen.component alert\n```","ref":"readme.html#creating-a-component-example-creating-an-alert"},{"type":"extras","title":"Generating All Components - MishkaChelekom","doc":"```bash\nmix mishka.ui.gen.components\n```","ref":"readme.html#generating-all-components"},{"type":"extras","title":"Generating All Components with an Import File - MishkaChelekom","doc":"```bash\nmix mishka.ui.gen.components --import --yes\n```\n\n> This command creates all the components along with a file where all the components are imported.","ref":"readme.html#generating-all-components-with-an-import-file"},{"type":"extras","title":"Optimized for Minimal Dependencies - MishkaChelekom","doc":"This project ensures optimal performance by minimizing dependencies and leveraging the advanced features of **Tailwind CSS**.","ref":"readme.html#optimized-for-minimal-dependencies"},{"type":"extras","title":"Links: - MishkaChelekom","doc":"- Project Page: https://mishka.tools/chelekom\n- Project Documentation: https://mishka.tools/chelekom/docs\n- Created components list: [Heex file and configs](https://github.com/mishka-group/mishka_chelekom/tree/master/priv/templates/components)\n- Hex.pm: https://hex.pm/packages/mishka_chelekom\n\n---","ref":"readme.html#links"},{"type":"extras","title":"Our stacks: - MishkaChelekom","doc":"1. [Elixir](https://github.com/elixir-lang/elixir)\n2. [Phoenix](https://github.com/phoenixframework/phoenix)\n3. [Phoenix LiveView](https://github.com/phoenixframework/phoenix_live_view)\n4. [Tailwind CSS](https://github.com/tailwindlabs/tailwindcss)\n5. Pure JavaScript\n\n---","ref":"readme.html#our-stacks"},{"type":"extras","title":"FAQ - MishkaChelekom","doc":"* Do I need any config or external project?\n\n> The Chelekom library is fully zero-configuration, meaning you don't need to install anything other than the library itself\n\n* What does the generator do?\n\n> The generator does all the work for you, from building to updating and transferring the heex, ex files to your Phoenix project.\n\n* What should be done for Phoenix umbrella projects?\n\n> Just go to the path of your desired Phoenix project and execute the required Mix commands there.\n\n* How much will this project be updated?\n\n> In the initial versions, we managed to create more than 80 components for Phoenix and LiveView, and our goal is up to 200 components. After that, we are going to build complete templates as well as a very useful API for programmers.\n\n* Are these components not developed after offering the paid version?\n\n> Our paid services are not about components at all, but more facilities, including exclusive support, as well as complete templates, etc., and as long as the Mishka team exists, this project will be developed and maintained for free and open source.\n\n---","ref":"readme.html#faq"},{"type":"extras","title":"Contributing - MishkaChelekom","doc":"We appreciate any contribution to MishkaChelekom. Just create a PR!! 🎉🥳\n\n---","ref":"readme.html#contributing"},{"type":"extras","title":"Community & Support - MishkaChelekom","doc":"- Create issue: https://github.com/mishka-group/mishka_chelekom/issues\n- Ask question in elixir forum: https://elixirforum.com ➝ mention `@shahryarjb`\n- Ask question in elixir Slack: https://elixir-slack.community ➝ mention `@shahryarjb`\n- Ask question in elixir Discord: https://discord.gg/elixir ➝ mention `@shahryarjb`\n- For commercial & sponsoring communication: `shahryar@mishka.tools`\n\n---\n\n# Donate\n\nIf the project was useful for you, the only way you can donate to me is the following ways\n\n| **BTC**                                                                                                                            | **ETH**                                                                                                                            | **DOGE**                                                                                                                           | **TRX**                                                                                                                            |\n| ---------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------- |\n|   |   |   |   |\n\n \n   Donate addresses \n\n**BTC**:‌\n\n```\nbc1q24pmrpn8v9dddgpg3vw9nld6hl9n5dkw5zkf2c\n```\n\n**ETH**:\n\n```\n0xD99feB9db83245dE8B9D23052aa8e62feedE764D\n```\n\n**DOGE**:\n\n```\nDGGT5PfoQsbz3H77sdJ1msfqzfV63Q3nyH\n```\n\n**TRX**:\n\n```\nTBamHas3wAxSEvtBcWKuT3zphckZo88puz\n```","ref":"readme.html#community-support"},{"type":"extras","title":"Changelog for MishkaChelekom 0.0.1","doc":"# Changelog for MishkaChelekom 0.0.1\n\n> We are delighted to introduce our new version of MishkaChelekom fully featured components and UI kit library for Phoenix & Phoenix LiveView.\n> Kindly ensure that the MishkaChelekom Library is updated as quickly as feasible.\n\n**For more information please see**: https://mishka.tools/chelekom","ref":"changelog.html"},{"type":"extras","title":"Features: - Changelog for MishkaChelekom 0.0.1","doc":"- Add generator mix CLI task for creating component\n- Add generator mix CLI task for creating components\n- Add basic components (light mode version)\n\n   \n\n     Components list \n\n    - [x] accordion\n    - [x] alert\n    - [x] avatar\n    - [x] badge\n    - [x] banner\n    - [x] blockquote\n    - [x] breadcrumb\n    - [x] button\n    - [x] card\n    - [x] carousel\n    - [x] chat\n    - [x] chekbox_field\n    - [x] color_field\n    - [x] date_time_field\n    - [x] device_mockup\n    - [x] divider\n    - [x] drawer\n    - [x] dropdown\n    - [x] email_field\n    - [x] fieldset\n    - [x] file_field\n    - [x] footer\n    - [x] form_wrapper\n    - [x] gallery\n    - [x] image\n    - [x] indicator\n    - [x] input_field\n    - [x] jumbotron\n    - [x] keyboard\n    - [x] list\n    - [x] mega_menu\n    - [x] menu\n    - [x] modal\n    - [x] native_select\n    - [x] navbar\n    - [x] number_field\n    - [x] overlay\n    - [x] pagination\n    - [x] password_field\n    - [x] popover\n    - [x] progress\n    - [x] radio_field\n    - [x] range_field\n    - [x] rating\n    - [x] search_field\n    - [x] sidebar\n    - [x] skeleton\n    - [x] speed_dial\n    - [x] spinner\n    - [x] stepper\n    - [x] table\n    - [x] table_content\n    - [x] tabs\n    - [x] tel_field\n    - [x] text_field\n    - [x] textarea_field\n    - [x] timeline\n    - [x] toast\n    - [x] toggle_field\n    - [x] tooltip\n    - [x] typography\n    - [x] url_field\n    - [x] video\n\n   \n\n- Add white primary secondary dark success warning danger info light misc dawn colors\n- Add common sizes\n- Add common variants\n- Add common positions","ref":"changelog.html#features"},{"type":"extras","title":"Docs - Changelog for MishkaChelekom 0.0.1","doc":"- Add generator docs\n- Add basic components docs","ref":"changelog.html#docs"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}